package main

import (
	"git.vinchent.xyz/vinchent/go-web/app/console"
	"git.vinchent.xyz/vinchent/go-web/app/web"
	"git.vinchent.xyz/vinchent/go-web/framework"
	"git.vinchent.xyz/vinchent/go-web/framework/providers/app"
	"git.vinchent.xyz/vinchent/go-web/framework/providers/kernel"
)

func main() {
	container := framework.NewGoWebContainer()

	container.Bind(&app.GoWebAppProvider{})

	engine, err := web.NewHttpEngine()
	if err != nil {
		panic("Cannot start http server")
	}

	container.Bind(&kernel.GoWebKernelProvider{HttpEngine: engine})

	console.RunCommand(container)
}
