package main

import (
	"git.vinchent.xyz/vinchent/go-web/framework/middlewares"
	"github.com/gin-gonic/gin"
)

func registerRouter(core *gin.Engine) {
	core.Use(middleware.Test1(), middleware.Test2())
	core.GET("/user/login", UserLoginController)

	subjectApi := core.Group("/subject")
	{
		subjectApi.Use(middleware.Test3())
		subjectApi.DELETE("/:id", SubjectDelController)
		subjectApi.PUT("/:id", SubjectUpdateController)
		subjectApi.GET("/:id", SubjectGetController)
		subjectApi.GET("/:id/test", SubjectGetController)
		subjectApi.GET("/list/all", SubjectListController)
	}
}
